Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.xml.stream
Interface StartElement

All Superinterfaces:
  XMLEvent

Deprecated. please use java standard StAX api

    public interface StartElement

extends XMLEvent

The StartElement interface provides access to information about start elements

Since:
  Weblogic XML Input Stream 1.0
See Also:
  `AttributeIterator`

Field Summary

Fields inherited from interface weblogic.xml.stream.XMLEvent
`CHANGE_PREFIX_MAPPING, CHARACTER_DATA, COMMENT, END_DOCUMENT, END_ELEMENT, END_PREFIX_MAPPING, ENTITY_REFERENCE, NULL_ELEMENT, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT, START_PREFIX_MAPPING, XML_EVENT`

Method Summary
`Attribute` | `getAttributeByName(XMLName name)` Deprecated. Returns the attribute referred to by this name
`AttributeIterator` | `getAttributes()` Deprecated. Returns an AttributeIterator of non-namespace declared attributes
`AttributeIterator` | `getAttributesAndNamespaces()` Deprecated. Returns the union of declared attributes and namespaces
`Map` | `getNamespaceMap()` Deprecated. Gets a java.util.Map from prefixes to URIs in scope for this element.
`AttributeIterator` | `getNamespaces()` Deprecated. Returns an AttributeIterator of namespaces declared in this element
`String` | `getNamespaceUri(String prefix)` Deprecated. Gets the value that the prefix is bound to in the context of this element.

Methods inherited from interface weblogic.xml.stream.XMLEvent
`getLocation, getName, getSchemaType, getType, getTypeAsString, hasName, isChangePrefixMapping, isCharacterData, isEndDocument, isEndElement, isEndPrefixMapping, isEntityReference, isNull, isProcessingInstruction, isSpace, isStartDocument, isStartElement, isStartPrefixMapping`

Method Detail

### getAttributes

    AttributeIterator getAttributes()

  Deprecated.
  Returns an AttributeIterator of non-namespace declared attributes

### getNamespaces

    AttributeIterator getNamespaces()

  Deprecated.
  Returns an AttributeIterator of namespaces declared in this element

### getAttributesAndNamespaces

    AttributeIterator getAttributesAndNamespaces()

  Deprecated.
  Returns the union of declared attributes and namespaces

### getAttributeByName

    Attribute getAttributeByName(XMLName name)

  Deprecated.
  Returns the attribute referred to by this name

### getNamespaceUri

    String getNamespaceUri(String prefix)

  Deprecated.
  Gets the value that the prefix is bound to in the context of this element. Returns null if the prefix is not bound in this context

### getNamespaceMap

    Map getNamespaceMap()

  Deprecated.
  Gets a java.util.Map from prefixes to URIs in scope for this element.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD